Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QPaintDevice.PaintDeviceMetric

    java.lang.Object
      java.lang.Enum<QPaintDevice.PaintDeviceMetric>
          com.trolltech.qt.gui.QPaintDevice.PaintDeviceMetric

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QPaintDevice.PaintDeviceMetric>

Enclosing class:
  QPaintDevice

    public static enum QPaintDevice.PaintDeviceMetric

extends java.lang.Enum<QPaintDevice.PaintDeviceMetric>
implements QtEnumerator

Describes the various metrics of a paint device.

See Also:
  `metric`

Enum Constant Summary
`PdmDepth` The bit depth (number of bit planes) of the paint device.
`PdmDpiX` The horizontal resolution of the device in dots per inch.
`PdmDpiY` The vertical resolution of the device in dots per inch.
`PdmHeight` The height of the paint device in default coordinate system units (e.g. pixels for `QPixmap` and `QWidget`).
`PdmHeightMM` The height of the paint device in millimeters.
`PdmNumColors` The number of different colors available for the paint device.
`PdmPhysicalDpiX` The horizontal resolution of the device in dots per inch.
`PdmPhysicalDpiY` The vertical resolution of the device in dots per inch.
`PdmWidth` The width of the paint device in default coordinate system units (e.g. pixels for `QPixmap` and `QWidget`).
`PdmWidthMM` The width of the paint device in millimeters.

Method Summary
`static QPaintDevice.PaintDeviceMetric` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPaintDevice.PaintDeviceMetric` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QPaintDevice.PaintDeviceMetric[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PdmWidth

    public static final QPaintDevice.PaintDeviceMetric PdmWidth

  The width of the paint device in default coordinate system units (e.g. pixels for `QPixmap` and `QWidget`). See also `width`.

### PdmHeight

    public static final QPaintDevice.PaintDeviceMetric PdmHeight

  The height of the paint device in default coordinate system units (e.g. pixels for `QPixmap` and `QWidget`). See also `height`.

### PdmWidthMM

    public static final QPaintDevice.PaintDeviceMetric PdmWidthMM

  The width of the paint device in millimeters. See also `widthMM`.

### PdmHeightMM

    public static final QPaintDevice.PaintDeviceMetric PdmHeightMM

  The height of the paint device in millimeters. See also `heightMM`.

### PdmNumColors

    public static final QPaintDevice.PaintDeviceMetric PdmNumColors

  The number of different colors available for the paint device. See also `numColors`.

### PdmDepth

    public static final QPaintDevice.PaintDeviceMetric PdmDepth

  The bit depth (number of bit planes) of the paint device. See also `depth`.

### PdmDpiX

    public static final QPaintDevice.PaintDeviceMetric PdmDpiX

  The horizontal resolution of the device in dots per inch. See also `logicalDpiX`.

### PdmDpiY

    public static final QPaintDevice.PaintDeviceMetric PdmDpiY

  The vertical resolution of the device in dots per inch. See also `logicalDpiY`.

### PdmPhysicalDpiX

    public static final QPaintDevice.PaintDeviceMetric PdmPhysicalDpiX

  The horizontal resolution of the device in dots per inch. See also `physicalDpiX`.

### PdmPhysicalDpiY

    public static final QPaintDevice.PaintDeviceMetric PdmPhysicalDpiY

  The vertical resolution of the device in dots per inch. See also `physicalDpiY`.

Method Detail

### values

    public static final QPaintDevice.PaintDeviceMetric[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QPaintDevice.PaintDeviceMetric c : QPaintDevice.PaintDeviceMetric.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QPaintDevice.PaintDeviceMetric valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPaintDevice.PaintDeviceMetric resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD